summaryrefslogtreecommitdiff
path: root/pyraf/build.sh
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-04-29 10:44:28 -0400
committerJoe Hunkeler <jhunk@stsci.edu>2016-04-29 10:44:28 -0400
commitde27e3341a0b40db8e69f747ceadd50c7171e2ef (patch)
tree7484de612c82d83ab599f8a221b13a1bdb771108 /pyraf/build.sh
parent8834d907ad3db505b83940d854e4b8452644e5c6 (diff)
downloadastroconda-contrib-de27e3341a0b40db8e69f747ceadd50c7171e2ef.tar.gz
Fix pyraf
Diffstat (limited to 'pyraf/build.sh')
-rw-r--r--pyraf/build.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/pyraf/build.sh b/pyraf/build.sh
index 60e0bea..1067454 100644
--- a/pyraf/build.sh
+++ b/pyraf/build.sh
@@ -1,4 +1,12 @@
+if [[ `uname -s` == "Darwin" ]]; then
+ export CFLAGS="-I/opt/X11/include"
+ export LDFLAGS="-L/opt/X11/lib"
+fi
-pip install --no-deps --upgrade --force d2to1 || exit 1
+if [[ $PY3K > 0 ]]; then
+set +e
+ 2to3 -w --fix=print .
+ 2to3 -w --fix=except .
+fi
-python setup.py install || exit 1 \ No newline at end of file
+python setup.py install || exit 1